Admin

Change a member's role

POST
/api/v1/users/role

Refuses to demote the last remaining owner of a merchant.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Request Body

application/json

role*string
Lengthlength <= 32
user_id*string
Formatuuid

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/users/role" \  -H "Content-Type: application/json" \  -d '{    "role": "string",    "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"  }'
{  "data": {    "message": "Done.",    "ok": true,    "resource_id": "string"  },  "meta": {},  "success": true}